linux-main-modules-oracle (7.0.0-1003.3) resolute; urgency=medium

  * Main version: 7.0.0-1003.3

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.04.07)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.04.13)
    - [Packaging] update variants
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.03.30)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.04.13)

  * Miscellaneous Ubuntu changes
    - Ubuntu-7.0.0-13.13
    - Ubuntu-7.0.0-14.14
    - Ubuntu-7.0.0-14.14+1
    - [packaging] fix package name
    - Ubuntu-oracle-7.0.0-1002.2
    - [packaging] Fix d/package.config
    - Ubuntu-oracle-7.0.0-1002.2+1

  * Miscellaneous upstream changes
    - Cleanup d/package.config from LRM config options
    - lmm: cleanup and add copyright notice
    - lmm: Fix an issue for the in-series copy phase
    - lmm: Make off_series the default mechanism
    - lmm: Allow skipping specific DKMS for specific flavours at build time
    - lmm: move final artifacts from /ubuntu to /kernel
    - lmm: Fix DKMS build for chroot environments
    - lmm: Add synthetic dependency for LMM package, to stop early promotion

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 14 Apr 2026 08:34:29 +0200

linux-main-modules-oracle (7.0.0-1002.2+1) resolute; urgency=medium


  * Miscellaneous Ubuntu changes
    - [packaging] Fix d/package.config

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 02 Apr 2026 21:42:09 +0300

linux-main-modules-oracle (7.0.0-1002.2) resolute; urgency=medium

  * Main version: 7.0.0-1002.2

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.03.30)

  * Miscellaneous Ubuntu changes
    - [packaging] fix package name

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 02 Apr 2026 17:26:00 +0200

linux-main-modules-oracle (7.0.0-12.12) resolute; urgency=medium

  * Empty entry

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 13 Apr 2026 11:36:59 +0200

linux-main-modules (7.0.0-14.14+1) resolute; urgency=medium


  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.04.13)

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 13 Apr 2026 20:03:08 +0300

linux-main-modules (7.0.0-14.14) resolute; urgency=medium

  * Main version: 7.0.0-14.14

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

  * Miscellaneous upstream changes
    - Cleanup d/package.config from LRM config options
    - lmm: cleanup and add copyright notice
    - lmm: Fix an issue for the in-series copy phase
    - lmm: Make off_series the default mechanism
    - lmm: Allow skipping specific DKMS for specific flavours at build time
    - lmm: move final artifacts from /ubuntu to /kernel
    - lmm: Fix DKMS build for chroot environments
    - lmm: Add synthetic dependency for LMM package, to stop early promotion

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 13 Apr 2026 11:36:59 +0200

linux-main-modules (7.0.0-13.13) resolute; urgency=medium

  * Main version: 7.0.0-13.13

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.04.07)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 08 Apr 2026 06:59:33 +0200

linux-main-modules (7.0.0-12.12) resolute; urgency=medium

  * Main version: 7.0.0-12.12

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 02 Apr 2026 10:43:09 +0300

linux-main-modules (7.0.0-11.11) resolute; urgency=medium

  * Main version: 7.0.0-11.11

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.03.30)

  * Miscellaneous upstream changes
    - Remove version in Provides field in the linux-signed package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 31 Mar 2026 15:34:37 +0200

linux-main-modules (7.0.0-10.10) resolute; urgency=medium

  * Main version: 7.0.0-10.10

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 19 Mar 2026 09:45:36 +0100

linux-main-modules (7.0.0-9.9) resolute; urgency=medium

  * Main version: 7.0.0-9.9

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 18 Mar 2026 13:12:33 +0100

linux-main-modules (7.0.0-8.8) resolute; urgency=medium

  * Main version: 7.0.0-8.8

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.03.17)

  * Miscellaneous Ubuntu changes
    - [Packaging] Drop armhf, it's not building anything useful

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 17 Mar 2026 18:03:05 +0100

linux-main-modules (7.0.0-7.7+1) resolute; urgency=medium


  * Miscellaneous Ubuntu changes
    - [Packaging] Build also on armhf, ppc64el, s390x

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Sun, 15 Mar 2026 15:15:11 +0200

linux-main-modules (7.0.0-7.7) resolute; urgency=medium

  * Main version: 7.0.0-7.7

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 12 Mar 2026 10:56:26 +0100

linux-main-modules (7.0.0-6.6) resolute; urgency=medium

  * Main version: 7.0.0-6.6

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.03.09)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 09 Mar 2026 17:21:48 +0100

linux-main-modules (7.0.0-5.5) resolute; urgency=medium

  * Main version: 7.0.0-5.5

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.03.02)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 09 Mar 2026 08:12:26 +0100

linux-main-modules-unstable (7.0.0-4.4) resolute; urgency=medium

  * Main version: 7.0.0-4.4

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 04 Mar 2026 11:37:28 +0100

linux-main-modules-unstable (7.0.0-3.3) resolute; urgency=medium

  * Main version: 7.0.0-3.3

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.03.02)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 02 Mar 2026 09:29:17 +0100

linux-main-modules-unstable (7.0.0-2.2+1) resolute; urgency=medium

  * Miscellaneous upstream changes
    - Fix synthetic invalid status in proposed promotion

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 27 Feb 2026 18:37:31 +0100

linux-main-modules-unstable (7.0.0-2.2) resolute; urgency=medium

  * Main version: 7.0.0-2.2

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2026.02.26)

  * Miscellaneous Ubuntu changes
    - [packaging] bump to 7.0 and resolute

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 27 Feb 2026 10:31:00 +0100

linux-main-modules-unstable (7.0.0-0.0) resolute; urgency=medium

  * Rename the tarball to make it compliant with the HSM naming structure

 -- Alessio Faina <alessio.faina@canonical.com>  Tue, 10 Feb 2026 09:01:55 +0100

linux-main-modules (6.8.0-88.89+91) noble; urgency=medium

  * Fixup missing cleanup in Launchpad

 -- Alessio Faina <alessio.faina@canonical.com>  Mon, 09 Feb 2026 19:53:24 +0100

linux-main-modules (6.8.0-88.89+90) noble; urgency=medium

  * Let's try to add generate in the middle

 -- Alessio Faina <alessio.faina@canonical.com>  Mon, 09 Feb 2026 18:12:13 +0100

linux-main-modules (6.8.0-88.89+89) noble; urgency=medium

  * Add forgotten minimum ABI in d/control

 -- Alessio Faina <alessio.faina@canonical.com>  Sun, 08 Feb 2026 19:37:43 +0100

linux-main-modules (6.8.0-88.89+88) noble; urgency=medium

  * Greatly simplify the archive procedure

 -- Alessio Faina <alessio.faina@canonical.com>  Sun, 08 Feb 2026 10:54:28 +0100

linux-main-modules (6.8.0-88.89+87) noble; urgency=medium

  * Add version of the dkms module in the Provides metadata field

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 06 Feb 2026 11:52:13 +0100

linux-main-modules (6.8.0-88.89+86) noble; urgency=medium

  * Remove unknown information fields, probably filled by LP

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 06 Feb 2026 11:33:02 +0100

linux-main-modules (6.8.0-88.89+85) noble; urgency=medium

  * Add forgotten Source and Origin metadata
  * Fix description to be equal to the original one created by linux-meta

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 06 Feb 2026 11:25:51 +0100

linux-main-modules (6.8.0-88.89+84) noble; urgency=medium

  * Add the forgotten "Provides" field in d/control for the pyisical packages
  * Add doca-ofed to check for hybrid builds in arm64
  * Moved v4l2loopback in Build-Depends mode to try hybrid build in amd64

 -- Alessio Faina <alessio.faina@canonical.com>  Thu, 05 Feb 2026 14:54:58 +0100

linux-main-modules (6.8.0-88.89+83) noble; urgency=medium

  * Fix issue in copy stage where arch is not taken into consideration

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 04 Feb 2026 21:54:05 +0100

linux-main-modules (6.8.0-88.89+82) noble; urgency=medium

  * Another quick fix

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 04 Feb 2026 21:20:55 +0100

linux-main-modules (6.8.0-88.89+81) noble; urgency=medium

  * Add forgottedn zstd dependency

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 04 Feb 2026 20:30:17 +0100

linux-main-modules (6.8.0-88.89+80) noble; urgency=medium

  * Trying to fix a glob issue working locally but not on Launchpad

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 04 Feb 2026 17:46:23 +0100

linux-main-modules (6.8.0-88.89+79) noble; urgency=medium

  * Change standard staging_dir as launchpad doesn't like /tmp

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 04 Feb 2026 17:11:44 +0100

linux-main-modules (6.8.0-88.89+78) noble; urgency=medium

  * Removed unused request python import

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 04 Feb 2026 16:46:40 +0100

linux-main-modules (6.8.0-88.89+77) noble; urgency=medium

  * Add a functionality to manually build modules by downloading them
  * Set a couple of modules in manual download mode

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 04 Feb 2026 16:22:28 +0100

linux-main-modules (6.8.0-88.89+76) noble; urgency=medium

  * Forgot to bump doca-ofed-25.10 version in dkms-version

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 28 Jan 2026 16:53:22 +0100

linux-main-modules (6.8.0-88.89+75) noble; urgency=medium

  * Rename the metapackages from linux-M-F-V to linux-modules-M-F-V

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 28 Jan 2026 15:56:56 +0100

linux-main-modules (6.8.0-88.89+74) noble; urgency=medium

  * Add a check if an architecture isn't expecting any module in signed land

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 28 Jan 2026 10:29:07 +0100

linux-main-modules (6.8.0-88.89+73) noble; urgency=medium

  * Fix dkms repackaging in linux-modules-signed, naming logic was too simple

 -- Alessio Faina <alessio.faina@canonical.com>  Mon, 26 Jan 2026 18:12:02 +0100

linux-main-modules (6.8.0-88.89+72) noble; urgency=medium

  * Fix leading whitespace issue in dkms.conf parsing

 -- Alessio Faina <alessio.faina@canonical.com>  Mon, 26 Jan 2026 15:55:06 +0100

linux-main-modules (6.8.0-88.89+71) noble; urgency=medium

  * Update v4l2loopback version as a newer one has been uploaded

 -- Alessio Faina <alessio.faina@canonical.com>  Mon, 26 Jan 2026 14:48:26 +0100

linux-main-modules (6.8.0-88.89+70) noble; urgency=medium

  * Try to add doca-ofed-25.10 to test the doca DKMSs are correctly stored

 -- Alessio Faina <alessio.faina@canonical.com>  Mon, 26 Jan 2026 14:30:13 +0100

linux-main-modules (6.8.0-88.89+69) noble; urgency=medium

  * As expected previous failed for overlapping version, try a totally new one

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 16 Jan 2026 16:58:01 +0100

linux-main-modules (6.8.0-88.89+66) noble; urgency=medium

  * Let's try ancillaries and see what happens

 -- Alessio Faina <alessio.faina@canonical.com>  Thu, 15 Jan 2026 14:37:15 +0100

linux-main-modules (6.8.0-88.89+65) noble; urgency=medium

  * This time try to generate the right stuff for multiple archs

 -- Alessio Faina <alessio.faina@canonical.com>  Thu, 26 Nov 2025 16:13:07 +0100
